SYSTEMD-TIME-WAIT-SYNC.SERVICE(8)

NAME
systemd-time-wait-sync.service, systemd-time-wait-sync - Wait until kernel time is synchronized

SYNOPSIS

systemd-time-wait-sync.service

/lib/systemd/systemd-time-wait-sync

DESCRIPTION

systemd-time-wait-sync is a system service that delays the start of units that depend on time-sync.target until the system time has been synchronized with an accurate time source by systemd-timesyncd.service.

systemd-timesyncd.service notifies on successful synchronization. systemd-time-wait-sync also tries to detect when the kernel marks the time as synchronized, but this detection is not reliable and is intended only as a fallback for other services that can be used to synchronize time (e.g., ntpd, chronyd).

FILES

/run/systemd/timesync/synchronized
    The presence of this file indicates to this service that the system clock has been synchronized.

SEE ALSO

systemd(1), systemd.special(7), systemd-timesyncd.service(8),